刚更新的wine1.3.9装不了ie6,悲剧了 →→1.3.9之后版本安装ie6解决办法(1月2日更新→1月18日:过时

Wine、Cedega、CrossOver 等配置
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

刚更新的wine1.3.9装不了ie6,悲剧了 →→1.3.9之后版本安装ie6解决办法(1月2日更新→1月18日:过时

#1

帖子 ooinzaghi » 2010-12-16 1:42

今天apt-get update的时候,发现wine的ppa已经有了最新版的winetricks20110105,本帖的一切内容已过时,特此声名!2011年1月18日
Screenshot.png
Screenshot-1.png
Screenshot-2.png
Screenshot-3.png
Screenshot-4.png
折腾了两天,终于改会wine1.3.8和源里的wine共存的情况了。 :em01 这里告诫每位linuxer,千万不要盲目更新wine,一定要等到...


1月2日:今天看了这篇文章 http://www.jiechic.com/archives/74.html 知道原来1.3.9之后的版本装不了ie6是因为微软那边关闭了ie6在线升级(1.3.8以前的版本还可以在线升)。现在wine的解决办法是装好wine的deb包后,直接就带了ie6。但是最最最恶心的是,ppa源里的wine虽然一直是最新版(比如现在是1.3.10),但winetricks并不能随ppa源升级,至少我的ubuntu10.04版里winetricks还是11月6号版的。这就导致winetricks跟不上wine的变化,依然固执的必须在线装ie6后才能装那vc库之类的 :em20 :em20


解决办法:手动到http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/pool/main/w/winetricks/ 下载12月22号版的winetricks(目前只能这么做 :em06

之后就很简单了,装了1.3.9或1.3.10的wine后,用12月22号的winetricks装你想要的一切就ok了,如果wine qq2009preview还是
winetricks msxml3 gdiplus riched20 riched30 vcrun6 vcrun2005sp1 ie6 vcrun6sp6

wine的ppa源真害人,相关软件居然更新不同步 :em06
上次由 ooinzaghi 在 2011-01-18 21:49,总共编辑 5 次。
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#2

帖子 ooinzaghi » 2010-12-16 1:43

之后什么wine qq的都不能装了,本来wine1.38都好好的 :em20 :em20
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#3

帖子 ooinzaghi » 2010-12-16 1:46

一楼的方法至少wine qq2009preview和tm2009非常稳定! :em05 :em05
上次由 ooinzaghi 在 2011-01-02 20:01,总共编辑 1 次。
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
s114623591
帖子: 37
注册时间: 2010-12-06 21:02
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#4

帖子 s114623591 » 2010-12-16 2:24

同喜同喜,我也是,装了个1.3.9,啥都装不上
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#5

帖子 ooinzaghi » 2010-12-16 9:07

求个wine1.38的DEB包 :em06
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
头像
photor
论坛版主
帖子: 11003
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#6

帖子 photor » 2010-12-16 10:40

ooinzaghi 写了:求个wine1.38的DEB包 :em06
新立得主菜单-》软件包-》强制版本,不行? :em09
schumicx
帖子: 3
注册时间: 2010-12-16 13:09
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#7

帖子 schumicx » 2010-12-16 13:15

我装的1.2,也是lz的这种情况。怎么解决啊
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#8

帖子 ooinzaghi » 2010-12-16 17:01

photor 写了:
ooinzaghi 写了:求个wine1.38的DEB包 :em06
新立得主菜单-》软件包-》强制版本,不行? :em09
Screenshot.png
:em20 :em20 :em20
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
nanjingabcdefg
帖子: 52
注册时间: 2010-04-09 17:33
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#9

帖子 nanjingabcdefg » 2010-12-16 21:43

sudo apt-get install wine
装回wine1.2.1,然后装wine-qq
然后
sudo apt-get install wine1.3
装回wine1.3.9 :em09
头像
schouse
帖子: 7
注册时间: 2007-05-05 23:06
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#10

帖子 schouse » 2010-12-16 21:46

我也是这样的问题,wine1.3.9安装ie6也是装不上,提示的错误和LZ一样。
头像
hasee.wu
帖子: 2089
注册时间: 2009-10-20 21:13
来自: Pacific Western University
送出感谢: 0
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#11

帖子 hasee.wu » 2010-12-16 22:47

ooinzaghi 写了:求个wine1.38的DEB包 :em06

http://ppa.launchpad.net/ubuntu-wine/pp ... w/wine1.3/
mindong
帖子: 33
注册时间: 2008-11-09 2:53
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#12

帖子 mindong » 2010-12-16 22:51

看来WINE1.39效果不怎么样哦,还是先不升级
头像
ooinzaghi
帖子: 1763
注册时间: 2010-11-18 15:55
系统: ubuntu16.04+win10
来自: Auir
送出感谢: 8 次
接收感谢: 7 次

Re: 刚更新的wine1.39装不了ie6,悲剧了

#13

帖子 ooinzaghi » 2010-12-16 23:11

nanjingabcdefg 写了:sudo apt-get install wine
装回wine1.2.1,然后装wine-qq
然后
sudo apt-get install wine1.3
装回wine1.3.9 :em09
wine1.39DEB的依赖关系写的很明确,直接取代源里的wine1.2,装了1.39后必须自动删除1.2 :em20 :em20
好像1.38还可以共存的 :em06 :em06
势不可去尽,话不可说尽,凡事太尽,缘分势必早尽。

生命不息,折腾不止!在折腾中进步!

dropbox邀请链接: https://db.tt/OMGJP72tMW
oncepolice
帖子: 23
注册时间: 2008-11-05 21:24
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#14

帖子 oncepolice » 2010-12-17 10:14

同喜啊楼主,我是手贱的升级控,一样悲剧。
若要叫他灭亡,必先使他疯狂。
pip1998
帖子: 13
注册时间: 2010-03-27 9:15
送出感谢: 0
接收感谢: 0

Re: 刚更新的wine1.39装不了ie6,悲剧了

#15

帖子 pip1998 » 2010-12-19 20:24

把以前wine1.3.8文件下的iexplore.exe相关的文件些一一对应都复制过去,QQ,迅雷啊什么的就又可以用的。。。
回复

回到 “Wine及其分支”